<% cls = (params[:controller] == 'frontpage' ? 'activeLink' : '') %>
<%= link_to 'Home', { :controller => 'frontpage', :action => 'list', :id => nil }, { :class => cls } %>

<%
if @logged_in_user.is_admin?
  [['user', 'list'], ['group', 'list'], ['admin_tool', 'server_status']].each do |contr, act|
    cls = (params[:controller] == contr ? 'activeLink' : '') %>
    <%= link_to contr.pluralize.upcase, { :controller => contr, :action => act }, { :class => cls } %>      
<% end; end %>

<%= render_partial 'shared/intranet' %>